import os
import csv

# Set the path to the folder and the CSV file
folder_path = r'F:\coqui_test\training_dataset\wavs'  # Replace with your folder path
csv_file_path = r'F:\coqui_test\training_dataset\metadata.csv'  # Replace with your CSV file path

# Temporary file to store the filtered data
temp_csv_file_path = r'F:\coqui_test\training_dataset\temp.csv'  # Replace with a path for a temporary CSV file

# Reading the CSV file and checking each file
with open(csv_file_path, 'r', newline='', encoding='utf-8') as csvfile, \
        open(temp_csv_file_path, 'w', newline='', encoding='utf-8') as temp_csvfile:
    reader = csv.reader(csvfile, delimiter='|')
    writer = csv.writer(temp_csvfile, delimiter='|')

    for row in reader:
        wav_file = row[0].strip()
        wav_file_path = os.path.join(folder_path, wav_file)

        # Check if the .wav file exists and write to temp file if it does
        if os.path.exists(wav_file_path):
            writer.writerow(row)

# Replace the original CSV file with the filtered data
os.replace(temp_csv_file_path, csv_file_path)
