@echo off

pip install requests

echo downloading base TTS V2 model which will be used for training

python download_base_TTSV2_model.py

git clone https://github.com/coqui-ai/TTS

cd TTS

REM Create virtual environment folder
echo composing venv
IF NOT EXIST venv (
    python -m venv venv
) ELSE (
    echo venv folder already exists, skipping making new venv...
)
call .\venv\Scripts\activate.bat

echo installing requirements 

pip install -r requirements.txt

pip install -e .

pip uninstall torch torchvision torchaudio --yes

pip3 install torch==2.1.0 torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121

pip install pyannote.audio==3.1.0

pip install --upgrade --no-deps --force-reinstall git+https://github.com/openai/whisper.git

pip install tiktoken

pip install gradio

pip install noisereduce

pip install pedalboard

pip install moviepy

pip install cairo

REM pip install -e f:\coqui_test\TTS


REM Show completion message
echo Virtual environment made and installed properly

REM Pause to keep the command prompt open
pause