import sys
import os
from pydub import AudioSegment

# Static variables
input_folder = r'F:\coqui_test\merge_audio'

# Step 3: Combine WAV Files and Track Durations
combined_audio = AudioSegment.empty()
file_durations = {}
current_duration = 0.0
total_files = 0
print("generating combined audio may take a while...")
# Iterate over wav files in the input folder and combine them
combined_counter = 0
for file_name in os.listdir(input_folder):
    if file_name.endswith('.wav'):
        total_files += 1
        file_path = os.path.join(input_folder, file_name)
        audio = AudioSegment.from_wav(file_path)
        combined_audio += audio
        file_durations[file_name] = (current_duration, current_duration + len(audio) / 1000.0)
        current_duration += len(audio) / 1000.0
        combined_counter += 1
        # Update the counter on the same line
        print(f"Combined audio counter: {combined_counter}", end='\r')
        sys.stdout.flush()

# Export the combined audio to a temporary file
combined_audio_path = 'F:\coqui_test\merge_audio\merged.wav'
combined_audio.export(combined_audio_path, format='wav')